#
# spec file for package xcm
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Version:        0.5.4
Release:        bp153.1.21
Source:         xcm-%{version}.tar.bz2
Summary:        X Color Management tools
License:        MIT
Group:          System/X11/Utilities

Name:           xcm
Url:            http://www.oyranos.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(oyranos) >= 0.9.6
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcm)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xmu)
%{!?_udevrulesdir: %global _udevrulesdir %(pkg-config --variable=udevdir udev)/rules.d }
%if 0%{?mandriva_version} > 0
BuildRequires:  Mesa
BuildRequires:  gcc-c++
BuildRequires:  libXcm-devel
BuildRequires:  liboyranos-devel >= 0.9.6
BuildRequires:  libtool-devel
BuildRequires:  mesagl-devel
BuildRequires:  pkgconfig
%endif
%if 0%{?fedora_version} > 0
BuildRequires:  libtool-ltdl-devel
%endif
%if 0%{?fedora_version} > 0 || 0%{?rhel_version} > 0 || 0%{?centos_version} > 0
BuildRequires:  Mesa
BuildRequires:  Mesa-devel
BuildRequires:  gcc-c++
BuildRequires:  libXcm-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXmu-devel
BuildRequires:  liboyranos-devel >= 0.9.6
BuildRequires:  xdg-utils
BuildRequires:  xorg-x11-Mesa-devel
%endif

%description
The Xcm tools are colour management helpers for Xorg.
A EDID parser and a colour management events observer are included.



%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static --with-udev-dir=%{_udevrulesdir}
make %{?_smp_mflags}

%install
%make_install

#Remove installed doc
rm -fr %{buildroot}/%{_datadir}/doc/%{name}

%files
%defattr(-, root, root)
%{_bindir}/%{name}events
%{_bindir}/%{name}edid
%{_bindir}/%{name}ddc
%{_bindir}/%{name}hextobin
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}ddc.1*
%{_mandir}/man1/%{name}edid.1*
%{_mandir}/man1/%{name}events.1*
%{_mandir}/man1/%{name}hextobin.1*
%{_udevrulesdir}/90-xcm-i2c.rules
%doc docs/AUTHORS docs/COPYING docs/ChangeLog README.md

%changelog
* Thu Dec 22 2016 ku.b@gmx.de - 0.5.4
- official release 0.5.4
- add xcmhextobin tool
- all known bugs are fixed
* Sat Nov  1 2014 crrodriguez@opensuse.org
- Switch to individual pkgconfig() build requires
  instead of using metapackage xorg-x11-devel
- Only defined _udevrulesdir if not in the build system macros
  already.
* Sat May 10 2014 ku.b@gmx.de
- official release 0.5.3
- fix handle of x,y,width and height args
- fix window listing in xcm -l
- reduce library dependencies for some binaries
- add _udevrulesdir in spec file
* Fri Feb  1 2013 ku.b@gmx.de
- remove debian section from RPM spec file
* Fri Jan  4 2013 ku.b@gmx.de
- require liboyranos0 >= 0.9.3
- use --with-udev-dir configure switch
- Fix xcm udev rule
- switch to autotools
- fix includes
- official release 0.5.2
* Thu Oct 18 2012 fcrozat@suse.com
- Add udev-dir.patch: allow to change udev rules directory location
  in build (fix build with new udev location).
* Tue Apr  3 2012 Kai-Uwe Behrmann <ku.b@gmx.de> - 0.5.0
- new switch to X Color Management spec
- new window informations can be be printed with xcm -p.
- new window regions can be delected with xcm -d
- new xcm -r accepts a --profile argument
- requires libXcm-0.5.0
* Mon Apr  2 2012 Kai-Uwe Behrmann <ku.b@gmx.de> - 0.5.0
- fix Url
* Fri Mar  9 2012 Kai-Uwe Behrmann <ku.b@gmx.de> - 0.5.0
- release 0.5.0
* Sun Dec  4 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Oct 28 2011 coolo@suse.com
- remove vendor tag, the vendor is defined by the project config
* Wed Sep 21 2011 Kai-Uwe Behrmann <ku.b@gmx.de> - 0.4.2
- simplify installation
- remove prefix
- remove unused defines and section
* Thu Sep  8 2011 Kai-Uwe Behrmann <ku.b@gmx.de>
- add proper changelog entry for updated version
* Thu Sep  8 2011 ku.b@gmx.de
- omit removal of BUILD_ROOT
  * Thu Dec 30 2010 Kai-Uwe Behrmann
- install EDID from i2c tool
- install man pages
  * Thu Oct 07 2010 Kai-Uwe Behrmann
- install EDID parser tool
- install xcmsevents tool
